extends Node

var inventory_component: Inventory_Component
var equipment_component: Equipment_Component
var health_node = null

#just a helper node to get access to player data like health and inventory

func init_data():
	
	for node in get_tree().get_nodes_in_group("actor"):
		if node.name == "Player":
			inventory_component = node.get_node("InventoryComponent")
			equipment_component = node.get_node("Equipment")
			health_node = node.get_node("Health")
			break
